"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useEqMemoize = void 0;
var react_1 = require("react");
// Use effect prior art comes from https://github.com/kentcdodds/use-deep-compare-effect/blob/master/src/index.ts
var useEqMemoize = function (value, eq, options) {
    var ref = (0, react_1.useRef)();
    var signalRef = (0, react_1.useRef)(0);
    if (ref.current == null) {
        ref.current = value;
    }
    if (!eq.equals(value, ref.current)) {
        // https://stackoverflow.com/questions/35469836/detecting-production-vs-development-react-at-runtime
        if (options && options.debug && process.env.NODE_ENV !== 'production') {
            // eslint-disable-next-line no-console
            console.info('Stable hook update triggered:', { 'prev': ref.current, 'value': value });
        }
        ref.current = value;
        signalRef.current += 1;
    }
    return [signalRef.current];
};
exports.useEqMemoize = useEqMemoize;
//# sourceMappingURL=useEqMemoize.js.map